//*********************************************************************************
// interface tig.GeneralConstants
//*********************************************************************************
package tig;

/******************************************************************
Contains general constants useful for java programs ; the constants found here are not related to any
particular API.

@author Thierry Graff
@history sep 15 2001 : Creation
*****************************************************************/

public interface GeneralConstants{

  /** Designates <CODE>System.getProperty("file.separator")</CODE>. */
  public static final String FS = System.getProperty("file.separator");

  /** Designates <CODE>System.getProperty("line.separator")</CODE>. */
  public static final String LS = System.getProperty("line.separator");

  /** Useful constant to initialize integers (value = -1). */
  public static final int NO_SPECIF = -1;

  /** Useful constant designating the empty String. */
  public static final String BLANK = "";

  /** Constant designating a String containing one space. */
  public static final String SPACE = " ";

}// end interface GeneralConstants
