//*********************************************************************************
// class tig.html.Html
// Software released under the General Public License (version 2 or later), available at
// http://www.gnu.org/copyleft/gpl.html
//*********************************************************************************
package tig.html;

/******************************************************************************
Contains utility methods to generate HTML.
@author Thierry Graff
@history mar 06 2002 : creation.

@todo
*********************************************************************************/
public abstract class Html implements HtmlConstants{

  private final static String INF = "<";
  private final static String SUP = ">";
  private final static String SLASH = "/";
  //=================================================================================
  //                                      METHODS
  //=================================================================================
  /** Returns 'string' enclosed in 'tag'.
  <BR>Ex : <CODE>tag("myString", "H1")</CODE> returns "<H1>myString</H1>".
  */
  public static String tag(String string, String tag){
    return new StringBuffer().append(INF).append(tag).append(SUP).append(string).append(INF)
                             .append(SLASH).append(tag).append(SUP).toString();
  }// end tag
  /** Equivalent to <CODE>tag(String, String)</CODE> */
  public static String tag(StringBuffer string, String tag){
    return tag(string.toString(), tag);
  }// end tag
}// end class Html
